[B026] Clinical trial design
Obtain clinical trial design through clinical trial id or registry number
One of the parameters clinical_trial_id and register_number must be passed
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 202425a889e52ae802432a8295220e53 | Clinical trial id, obtain this through clinical trial search interface |
| string | NCT06498986 | register number |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
masking | string | None (Open Label) | Masking |
outcome | array | [
{
"title": "Recommended Phase II Dose (RP2D)",
"time_frame": "Up to approximately 24 months",
"description": "The RP2D is defined as the dose level chosen by the sponsor (in consultation with the investigators) for phase II study, based on safety, tolerability, efficacy, PK, and PD data collected during the dose escalation study of BL-B01D1.",
"outcome_type": "Primary"
},
{
"title": "Objective response rate (ORR)",
"time_frame": "Up to approximately 24 months",
"description": "ORR is defined as the percentage of participants, who has a CR (disappearance of all target lesions) or PR (at least a 30% decrease in the sum of diameters of target lesions). The percentage of participants who experiences a confirmed CR or PR is according to RECIST 1.1.",
"outcome_type": "Primary"
}
] | Outcome Measures |
title | string | Recommended Phase II Dose (RP2D) | Measure |
time_frame | string | Up to approximately 24 months | Time Frame |
description | string | The RP2D is defined as the dose level chosen by the sponsor (in consultation with the investigators) for phase II study, based on safety, tolerability, efficacy, PK, and PD data collected during the dose escalation study of BL-B01D1. | Description |
outcome_type | string | Primary | Outcome Type |
allocation | string | N/A | Allocation |
enrollment | array | [
{
"enrollment": "40"
}
] | Enrollment |
location | string | Domestic | Location. 'Domestic' means China. |
enrollment | string | 98 | Enrollment |
enrollment_text | string | 国内:150 | Enrollment Original Value |
enrollment_type | string | Anticipated | Enrollment Type |
start_date | object | {
"time_ts": 1722470400000,
"date_type": "Anticipated"
} | Start Date |
time_ts | integer<int64> | 1785542400000 | Timestamp |
date_type | string | Anticipated | Date Type, enumeration values: Anticipated, Actual |
study_type | string | Interventional | Study Type, enumeration values: "Prevention", "Expanded Access", "Health Services Research", "Interventional", "Diagnosis", "Cause", "Observational", "Basic Science", "Unknown", "Others" |
completion_date | object | {
"time_ts": 1785542400000,
"date_type": "Anticipated"
} | Completion Date |
primary_purpose | string | Treatment | Primary Purpose |
register_number | string | NCT06498986 | Trial Number |
arm_intervention | array | [
{
"intervention": [
{
"intervention_name": "BL-B01D1",
"intervention_type": "Drug",
"intervention_description": "Administration by intravenous infusion for a cycle of 3 weeks."
},
{
"intervention_name": "Osimertinib Mesylate Tablets",
"intervention_type": "Drug",
"intervention_description": "Oral administration, 80mg daily for a cycle of 3 weeks."
}
],
"design_group_type": "Experimental",
"design_group_title": "BL-B01D1+Osimertinib Mesylate Tablets",
"design_group_description": "Participants receive BL-B01D1+Osimertinib Mesylate Tablets in the first cycle (3 weeks). Participants with clinical benefit could receive additional treatment for more cycles. The administration will be terminated because of disease progression or intolerable toxicity occurring or other reasons."
}
] | Arms and Interventions |
intervention | array | [
{
"intervention_name": "BL-B01D1",
"intervention_type": "Drug",
"intervention_description": "Administration by intravenous infusion for a cycle of 3 weeks."
},
{
"intervention_name": "Osimertinib Mesylate Tablets",
"intervention_type": "Drug",
"intervention_description": "Oral administration, 80mg daily for a cycle of 3 weeks."
}
] | Intervention |
intervention_name | string | BL-B01D1 | Intervention Name |
intervention_type | string | Drug | Intervention Type |
intervention_description | string | Administration by intravenous infusion for a cycle of 3 weeks. | Intervention Description |
design_group_type | string | Experimental | Design Group Type |
design_group_title | string | BL-B01D1+Osimertinib Mesylate Tablets | Design Group Title |
design_group_description | string | Participants receive BL-B01D1+Osimertinib Mesylate Tablets in the first cycle (3 weeks). Participants with clinical benefit could receive additional treatment for more cycles. The administration will be terminated because of disease progression or intolerable toxicity occurring or other reasons. | Design Group Description |
clinical_trial_id | string | 202425a889e52ae802432a8295220e53 | Clinical Trial ID |
first_posted_date | integer<int64> | 1720742400000 | First Posted Date |
intervention_model | string | Single Group Assignment | Intervention Model |
primary_completion_date | object | {
"time_ts": 1785542400000,
"date_type": "Anticipated"
} | Primary Completion Date |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"masking": "None (Open Label)",
"outcome": [
{
"title": "Recommended Phase II Dose (RP2D)",
"time_frame": "Up to approximately 24 months",
"description": "The RP2D is defined as the dose level chosen by the sponsor (in consultation with the investigators) for phase II study, based on safety, tolerability, efficacy, PK, and PD data collected during the dose escalation study of BL-B01D1.",
"outcome_type": "Primary"
}
],
"allocation": "N/A",
"enrollment": [
{
"location": "Domestic",
"enrollment": 98,
"enrollment_text": "国内:150",
"enrollment_type": "Anticipated"
}
],
"start_date": {
"time_ts": 1785542400000,
"date_type": "Anticipated"
},
"study_type": "Interventional",
"completion_date": {
"time_ts": 1785542400000,
"date_type": "Anticipated"
},
"primary_purpose": "Treatment",
"register_number": "NCT06498986",
"arm_intervention": [
{
"intervention": [
{
"intervention_name": "BL-B01D1",
"intervention_type": "Drug",
"intervention_description": "Administration by intravenous infusion for a cycle of 3 weeks."
}
],
"design_group_type": "Experimental",
"design_group_title": "BL-B01D1+Osimertinib Mesylate Tablets",
"design_group_description": "Participants receive BL-B01D1+Osimertinib Mesylate Tablets in the first cycle (3 weeks). Participants with clinical benefit could receive additional treatment for more cycles. The administration will be terminated because of disease progression or intolerable toxicity occurring or other reasons."
}
],
"clinical_trial_id": "202425a889e52ae802432a8295220e53",
"first_posted_date": 1720742400000,
"intervention_model": "Single Group Assignment",
"primary_completion_date": {
"time_ts": 1785542400000,
"date_type": "Anticipated"
}
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
67200007 | Exceeded the call limit, call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |